require 'test_helper'

class UploadProfilePictureTest < ActionDispatch::IntegrationTest
  # test "the truth" do
  #   assert true
  # end
  fixtures :all
  test "upload profile picture" do
    get '/'
    assert_response :success
    assert_select 'legend', "Login"
    post_via_redirect '/sessions/create',
      { username: users(:elek).username, password: 'titok' },
      { 'HTTP_REFERER'=>'/say/hello' }
    assert_equal session[:user], users(:elek).id
    get '/users/edit'
    assert_response :success
    assert_select 'legend', "Edit user profile"
    upload_file = fixture_file_upload('test/fixtures/files/test.png','text/plain')
    post url_for(:controller=>'users', :action=>'upload', :id=>users(:elek).id),
      { id: users(:elek).id,
        upload: 
        {
          original_filename: 'test.png',
          file: upload_file
        }
      }
    u = User.find users(:elek).id
    assert_not_nil u.profile_picture
    assert File.exists?('public/profilepictures/test.png')
  end
end
