require 'test_helper'

class SessionsControllerTest < ActionController::TestCase
  # test "the truth" do
  #   assert true
  # end
  setup do
    @request.env["HTTP_REFERER"]='/say/hello'
  end
  
  test "login" do
    post :create, {:username => users(:elek).username, :password => 'titok'}
    assert_response :redirect
    assert_equal session[:user], users(:elek).id
  end 
  
  test "logout" do
    get :destroy, nil, {:user => users(:elek).id }
    assert_response :redirect
    assert_nil session[:user]
    assert_not_nil flash[:notice]
  end

end
